{% extends "base.html" %}

{% block nav %}
<ul>
    {% if request.user.is_authenticated %}
        <li><a href="{% url "logout" %}">Logout</a></li>
        <li><a href="{% url "create_receipt" %}">Create Receipt</a></li>
        <li><a href="{% url "create_category" %}">Create Category</a></li>
        <li><a href="{% url "create_account" %}">Create Account</a></li>
        <li><a href="{% url "category_list" %}">Categories</a></li>
        <li><a href="{% url "account_list" %}">Accounts</a></li>
    {% else %}
        <li><a href="{% url "signup" %}">Signup</a></li>
        <li><a href="{% url "login" %}">Login</a></li>
    {% endif %}
</ul>
{% endblock nav %}

{% block main %}
<h1>My Receipts</h1>
<table>
    <thead>
       <tr>
        <td>Vendor</td>
        <td>Total</td>
        <td>Tax</td>
        <td>Date</td>
        <td>Category</td>
        <td>Account</td>
       </tr>
    </thead>
    <tbody>
    {% for receipt in show_receipt %}
        <tr>
            <td>{{ receipt.vendor }}</td>
            <td>{{ receipt.total }}</td>
            <td>{{ receipt.tax }}</td>
            <td>{{ receipt.date|date:"m/d/y" }}</td>
            <td>{{ receipt.category.name }}</td>
            <td>{{ receipt.account.name }}</td>
        </tr>
    {% endfor %}
    </tbody>
</table>
{% endblock main %}
